//! # 图书馆管理系统
//! 
//! 一个模块化的图书馆管理系统，提供图书编目、用户管理和借阅服务。

pub mod models;
pub mod services;
mod utils;  // 内部工具模块，不对外暴露

// 重新导出核心类型，简化用户导入
pub use models::{Book, User};
pub use services::{catalog::Catalog, lending::LendingService};

/// 系统版本号
pub const VERSION: &str = "0.1.0";

/// 创建一个新的图书馆实例
pub fn new_library() -> services::Library {
    services::Library::new()
}